/* LaguerreOld.h */


void forwardDeflation(ExtComplex *c, INT32& n, ExtComplex& x);
void Evaluate(Complex *a, INT32 n, Complex& x, Complex& P);
void Evaluate(ExtComplex *a, INT32 n, ExtComplex& x, ExtComplex& P);
void derivPoly(ExtComplex *c, INT32 n, ExtComplex& x,
							ExtComplex& P, ExtComplex& P1, ExtComplex& P2);
bool LaguerreOld(ExtComplex *c, INT32 n, ExtComplex& x, fp& dxAbs, fp& fudgeFactor);
